Subject: Re: bug#59267: CC Mode 5.35.2 (C/*l); implicit int declaration recognized as type

From: Alan Mackenzie <[email-masked]>
Date: Thu, 17 Nov 2022 10:49:25 +0000

Hello, Po.

On Thu, Nov 17, 2022 at 08:28:02 +0800, Po Lu wrote:
> Alan Mackenzie <[email-masked]> writes:

> > Yes.  I think this would be very rare in modern code, depending on an
> > implicit type, int, following a specifier such as "register".  At least,
> > I hope so!

> > This was actually quite tricky to fix.  As well as "register", the code
> > should now handle the implicit int following (all of the?) other
> > specifiers, too.

> > Would you please try out the attached patch on your real code, and let
> > me know how well it works.  Thanks!

> This works fine, thanks!

OK, that's good, thanks!  I've committed the patch, and I'm closing the
bug with this post.

-- 
Alan Mackenzie (Nuremberg, Germany).